using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
namespace LightSwitchApplication
{
 public partial class Teilnehmerliste
 {
  partial void Teilnahmebestätigung_Execute()
  {

   Drucken.Teilnahmebestaetigung(this.Teilnehmer.SelectedItem, this.TeilnehmerSchulungen.SelectedItem.Schulung);

  }

  partial void TestdatenGenerieren_Execute()
  {

   System.Random rnd2 = new Random();
   // Quelle: http://de.wikipedia.org/wiki/Liste_der_h%C3%A4ufigsten_Familiennamen_in_Deutschland

   string[] Nachnamen = { "Müller", "Schmidt", "Schneider", "Fischer", "Weber", "Meyer", "Wagner", "Becker", "Schulz", "Hoffmann", "Schäfer", "Koch", "Bauer", "Richter", "Klein", "Wolf", "Schröder", "Neumann", "Schwarz", "Zimmermann" };
   // Quelle: http://www.beliebte-vornamen.de/3467-alle-spitzenreiter.htm

   string[] Vornamen = { "Leon", "Hannah", "Lukas", "Anna", "Leonie", "Marie", "Niklas", "Sarah", "Jan", "Laura", "Julia", "Lisa", "Kevin" };

   for (int PNummer = 1; PNummer <= 100; PNummer++)
   {
    string Vorname = Vornamen[rnd2.Next(0, Vornamen.Length - 1)]; ;
    string Nachname = Nachnamen[rnd2.Next(0, Vornamen.Length - 1)]; ;

    var dw = Application.Current.CreateDataWorkspace();
    Teilnehmer t = dw.ApplicationData.Teilnehmer.AddNew();
    t.Name = Nachname;
    t.Vorname = Vorname;
    dw.ApplicationData.SaveChanges();


   }


  }
 }
}
